<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imshow</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imread.html">&lt;&lt; imread</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_47cba15fa7c01219cabb9916618add8b.html">Image Reading, Display and Exploration</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imwrite.html">imwrite &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_47cba15fa7c01219cabb9916618add8b.html">Image Reading, Display and Exploration</a> &gt; imshow</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imshow</h1>
    <p class="refpurpose">Display image in graphic window</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="functionid">imshow</span><span class="default">(</span><span class="default">im</span><span class="default">)</span>
<span class="functionid">imshow</span><span class="default">(</span><span class="default">im</span><span class="default">, </span><span class="default">varargin</span><span class="default">)</span>
<span class="functionid">imshow</span><span class="default">(</span><span class="default">im</span><span class="default">, [</span><span class="default">colormap</span><span class="default">, </span><span class="default">outopt</span><span class="default">, </span><span class="default">handle</span><span class="default">])</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">im :</span>
      <dd><p class="para">Input image</p></dd></dt>
   <dt><span class="term">varargin (colormap):</span>
      <dd><p class="para">Colormap for the image, defined in Nx3 matrix</p></dd></dt>
   <dt><span class="term">varargin (outopt) :</span>
      <dd><p class="para">Output options, 0 for Scilab graphics, 1 for uicontrol, 2 for tcl/tk</p></dd></dt>
   <dt><span class="term">varargin (handle) :</span>
      <dd><p class="para">Handle for which the image will shown</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">Show images in different types, double (0-1), uint8(0-255), binary, and others supported image datatype.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">im</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/baboon.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">f</span> <span class="scilaboperator">=</span> <a class="scilabmacro" href="scilab://scf">scf</a><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabdefault">,</span> <span class="scilabnumber">1</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabskeyword">if</span> <a class="scilabmacro" href="scilab://with_tk">with_tk</a><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilabskeyword">then</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabdefault">,</span> <span class="scilabnumber">2</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabskeyword">end</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imread.html" class="link">imread</a></li>
   <li class="member"><a href="imwrite.html" class="link">imwrite</a></li>
   <li class="member"><a href="scilab://imfinfo" class="link">imfinfo</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Allan CORNET</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imread.html">&lt;&lt; imread</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_47cba15fa7c01219cabb9916618add8b.html">Image Reading, Display and Exploration</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imwrite.html">imwrite &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
